%define major 2
%define libname %mklibname polkit %{major}
%define libdbus %mklibname polkit-dbus %{major}
%define libgrant %mklibname polkit-grant %{major}
%define devname %mklibname polkit -d

%define _localstatedir %{_var}

# uid/gid allocated in this bug:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244950
%define polkit_uid 87

Summary:	Authorization Toolkit
Name:		policykit
Version:	0.9
Release:	13
License:	MIT
Group:		System/Libraries
Url:		http://people.freedesktop.org/~david/polkit-spec.html
Source0:	http://hal.freedesktop.org/releases/PolicyKit-%{version}.tar.gz
# (fc) 0.9-3mdv adapt to ConsoleKit 0.3 API (Fedora)
Patch0:		pk-ck-api-change.patch
# (fc) fix memleak (Fedora)
Patch1:		entry-leak.patch
# (fc) fix default D-Bus policy (fdo bug #18948)
Patch2:		polkit-0.8-dbus-policy.patch
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	xmlto
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(glib-2.0)
Requires(pre,postun):	rpm-helper
Provides:	PolicyKit = %{EVRD}

%description
PolicyKit is a toolkit for defining and handling authorizations. It is used
to allows unprivileged processes to speak to privileged processes.

%files
%doc AUTHORS COPYING HACKING NEWS README doc/TODO
%config(noreplace) %{_sysconfdir}/pam.d/polkit
%dir %{_sysconfdir}/PolicyKit
%config(noreplace) %{_sysconfdir}/PolicyKit/PolicyKit.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit.conf
%{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/*
%{_libexecdir}/polkitd
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
# see README file for why these permissions are necessary
%attr(4755,polkituser,root) %{_libexecdir}/polkit-set-default-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-read-auth-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-revoke-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-explicit-grant-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-grant-helper
%attr(4754,root,polkituser) %{_libexecdir}/polkit-grant-helper-pam
%attr(4755,root,polkituser) %{_libexecdir}/polkit-resolve-exe-helper
%attr(0770,root,polkituser) %dir %{_localstatedir}/run/PolicyKit
%attr(0770,root,polkituser) %dir %{_localstatedir}/lib/PolicyKit
%attr(0755,polkituser,root) %dir %{_localstatedir}/lib/PolicyKit-public
%attr(0664,polkituser,polkituser) %{_localstatedir}/lib/misc/PolicyKit.reload
%dir %{_datadir}/PolicyKit
%dir %{_datadir}/PolicyKit/policy
%{_datadir}/PolicyKit/config.dtd
%{_datadir}/PolicyKit/policy/org.freedesktop.policykit.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.PolicyKit.AuthenticationAgent.xml

%pre
%_pre_useradd polkituser / /sbin/nologin %{polkit_uid}

%postun
%_postun_userdel polkituser

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Authorization Toolkit library
Group:		System/Libraries
# In fact, requires consoletekit but it's replaced with accountsservice
Requires:	accountsservice
Requires:	dbus
Requires:	pam
Requires:	%{name} >= %{EVRD}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations. It is used
to allows unprivileged processes to speak to privileged processes.

%files -n %{libname}
%{_libdir}/libpolkit.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libdbus}
Summary:	Authorization Toolkit library
Group:		System/Libraries
Conflicts:	%{_lib}polkit2 < 0.9-13

%description -n %{libdbus}
PolicyKit is a toolkit for defining and handling authorizations. It is used
to allows unprivileged processes to speak to privileged processes.

%files -n %{libdbus}
%{_libdir}/libpolkit-dbus.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgrant}
Summary:	Authorization Toolkit library
Group:		System/Libraries
Conflicts:	%{_lib}polkit2 < 0.9-13

%description -n %{libgrant}
PolicyKit is a toolkit for defining and handling authorizations. It is used
to allows unprivileged processes to speak to privileged processes.

%files -n %{libgrant}
%{_libdir}/libpolkit-grant.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and libraries for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libdbus} = %{EVRD}
Requires:	%{libgrant} = %{EVRD}
Provides:	polkit-devel = %{EVRD}

%description -n %{devname}
Headers and libraries for PolicyKit.

%files -n %{devname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

#----------------------------------------------------------------------------

%package docs
Summary:	Documentation for PolicyKit
Group:		Documentation
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires:	gtk-doc

%description docs
Documentation for PolicyKit.

%files docs
%{_datadir}/gtk-doc/html/polkit

#----------------------------------------------------------------------------

%prep
%setup -q -n PolicyKit-%{version}
%patch0 -p1 -b .ck03
%patch1 -p1 -b .entry-leak
%patch2 -p1 -b .policy-fix

%build
%configure2_5x \
	--disable-selinux \
	--disable-static

#parallel build is broken
make

%install
%makeinstall_std profiledir=%{_sysconfdir}/bash_completion.d

# standard completion file name
mv %{buildroot}%{_sysconfdir}/bash_completion.d/polkit-bash-completion.sh \
   %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9-13
+ Revision: 59f26da
- Split shared library, spec cleanup


